package cn.minbb.edu.activities;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.app.AppCompatDelegate;
import android.view.MenuItem;
import android.widget.MediaController;
import android.widget.TextView;
import android.widget.VideoView;

import butterknife.BindView;
import butterknife.ButterKnife;
import cn.minbb.edu.R;
import cn.minbb.edu.ctrl.App;
import cn.minbb.edu.model.Course;

public class PlayerActivity extends AppCompatActivity {

    @BindView(R.id.videoView)
    VideoView videoView;
    @BindView(R.id.teacher_name_view)
    TextView teacherNameView;
    @BindView(R.id.teacher_say_view)
    TextView teacherSayView;

    private MediaController controller;

    static {
        AppCompatDelegate.setCompatVectorFromResourcesEnabled(true);
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_player);
        ButterKnife.bind(this);
        App.setupActionBar(this);

        controller = new MediaController(this);
        initView();
    }

    public static void start(Context context, Course course) {
        Intent starter = new Intent(context, PlayerActivity.class);
        starter.putExtra("course", course);
        context.startActivity(starter);
    }

    private void initView() {
        Course course = (Course) getIntent().getSerializableExtra("course");
        videoView.setVideoPath(course.getVideo());
        videoView.requestFocus();
        videoView.start();
        videoView.setMediaController(controller);
        controller.setMediaPlayer(videoView);
        teacherNameView.setText(course.getVoTeacher().getName());
        teacherSayView.setText(course.getIntroduction());
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId() == android.R.id.home) {
            finish();
        }
        return super.onOptionsItemSelected(item);
    }
}
