package cn.minbb.edu.adapter;

import android.content.Context;
import android.widget.ImageView;

import com.bumptech.glide.Glide;
import com.bumptech.glide.load.resource.drawable.GlideDrawable;
import com.bumptech.glide.request.RequestListener;
import com.bumptech.glide.request.target.Target;

import cn.bingoogolapple.bgabanner.BGABanner;
import cn.minbb.edu.R;

public class MainActivityBGABannerAdapter implements BGABanner.Adapter<ImageView, String> {

    private Context context;

    public MainActivityBGABannerAdapter(Context context) {
        this.context = context;
    }

    @Override
    public void fillBannerItem(BGABanner banner, ImageView itemView, String model, int position) {
        Glide.with(context)
                .load(model)
                .placeholder(R.drawable.banner_loading_16by9)
                .error(R.drawable.banner_loading_error_16by9)
                .listener(new RequestListener<String, GlideDrawable>() {
                    @Override
                    public boolean onException(Exception e, String model, Target<GlideDrawable> target, boolean isFirstResource) {
                        return false;
                    }

                    @Override
                    public boolean onResourceReady(GlideDrawable resource, String model, Target<GlideDrawable> target, boolean isFromMemoryCache, boolean isFirstResource) {
                        return false;
                    }
                })
                .centerCrop()
                .dontAnimate()
                .into(itemView);
    }
}
